Trigger AI Flow
curl --request POST \
--url https://api.brightdata.com/dca/collectors/{collector_id}/automate_template \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"description": "Extract product data from this page",
"urls": [
"https://example.com"
]
}
'import requests
url = "https://api.brightdata.com/dca/collectors/{collector_id}/automate_template"
payload = {
"description": "Extract product data from this page",
"urls": ["https://example.com"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
description: 'Extract product data from this page',
urls: ['https://example.com']
})
};
fetch('https://api.brightdata.com/dca/collectors/{collector_id}/automate_template', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "ia_mnvfxano29hv58t24o",
"queued": false
}AI 工作流 API
触发 AI 工作流
POST
/
dca
/
collectors
/
{collector_id}
/
automate_template
Trigger AI Flow
授权
Use your Bright Data API Key as a Bearer token in the Authorization header.
How to authenticate:
- Obtain your API Key from the Bright Data account settings at https://brightdata.com/cp/setting/users
- Include the API Key in the Authorization header of your requests
- Format:
Authorization: Bearer YOUR_API_KEY
Example:
Authorization: Bearer b5648e1096c6442f60a6c4bbbe73f8d2234d3d8324554bd6a7ec8f3f251f07df
Learn how to get your Bright Data API key: https://docs.brightdata.com/api-reference/authentication
路径参数
Collector ID returned by the Create Scraper Template API endpoint.
请求体
application/json
此页面对您有帮助吗?
⌘I